import request from '@/utils/request'

export function listTicketResult(query) {
  return request({
    url: '/ticketResult/list',
    method: 'get',
    params: query
  })
}

export function createTicketResult(data) {
  return request({
    url: '/ticketResult/create',
    method: 'post',
    data
  })
}

export function readTicketResult(data) {
  return request({
    url: '/ticketResult/read',
    method: 'get',
    data
  })
}

export function updateTicketResult(data) {
  return request({
    url: '/ticketResult/update',
    method: 'post',
    data
  })
}

export function deleteTicketResult(data) {
  return request({
    url: '/ticketResult/delete',
    method: 'post',
    data
  })
}

export function allTicketResult() {
  return request({
    url: '/ticketResult/all',
    method: 'get'
  })
}
